
Redmine - Feature #4584

Require a Target Version and Category and provide a default version.

2010-01-14 15:50 - Steve Overton

Status: Closed Start date: 2010-01-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Currently, there is no support to require a target version and category to be entered on an issue. For all situations or projects this is

not necessary but in our use and I assume others, these fields are required and there is no way to make them required. It would be

nice to have a project setting to require one or both of these fields.

It would also be a nice feature to provide a default version when a new issue is created. This would have to be maintained on the

project version.

Related issues:

Related to Redmine - Feature #1828: Default target version for new issues Closed 2008-08-28

Related to Redmine - Feature #703: Configurable required fields per tracker/s... Closed 2008-02-21

History

#1 - 2010-11-15 22:46 - Steve Overton

+1 I have requests for this functionality.

#2 - 2011-03-10 15:10 - Brian Underwood

+1 as well.  We require people (operationally) to enter a version for bugs (not for features), but I don't see a way to require this in Redmine

#3 - 2012-11-29 07:46 - Steven Wong

+1

#4 - 2013-01-22 10:24 - Nan Cao

+1, to set Target version to Required and Providing a default value make it convenient and standard to create a issue.

#5 - 2013-03-25 16:59 - Dipan Mehta

Requiring a target version and category is now achieved (at least post 2.0.x). Setting the Default Target value for new issue will be available under 

#1828.

Add related/duplicate #1828.

#6 - 2016-12-24 03:10 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Closing this issue because current versions of Redmine have these features.

Making target version and category mandatory: #703 (Redmine 2.1.0)

Default target version: #1828 (Redmine 3.2.0)

#7 - 2016-12-24 03:11 - Go MAEDA

- Related to Feature #703: Configurable required fields per tracker/status/role added
